# Rescue USB Creator
This bash script uses the Easy2Boot utility available [here](http://www.easy2boot.com/make-an-easy2boot-usb-drive/make-using-linux/) to create a bootable USB drive with several OS Distributions helpful for troubleshooting and restoring servers.

## Current list of Distros:

* acronis-newacronis
* acronis_trueimage_home_2012_plus-ati
* clonezilla-live
* super_grub2_disk_hybrid_2.02s9
* systemrescuecd-x86
* WinPE_Fixer

## Resources Directory
Files here are used to customize E2B settings.

## Using the script

```bash
git clone https://gogs.tfmm.co/tfmm/rescue-usb.git
cd rescue-usb 
chmod +x usbcreator.sh
sudo ./usbcreator.sh
```

The script will prompt for a device, like `/dev/sdX`.  Please use caution here, as the script will then proceed to remove all partitions and data from the provided device. 

## How does it work?

The script downloads the previously mentioned Easy2Boot utility to create a bootable USB flash drive that can boot from any number of Live CD ISO files.  

It then copies the ISOs to the `_ISO/MAINMENU` directory of the flash drive, these ISOs show up in the boot menu of the flash drive. 

In order to make WinPE Fixer work correctly, we then mount the ISO, and pull the `/tools` directory off of it, and copy it to the root of the USB.

Then custom menu settings are copied to the drive.

Finally, the device is unmounted. 